Debian Bug report logs - #347415
scrolled-off text included in selection

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Wichert Akkerman <debian@extern.wiggy.net>

Date: Tue, 10 Jan 2006 15:48:25 UTC

Severity: normal

Fixed in version xterm/210-1

Done: David Nusinow <dnusinow@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#347415; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Wichert Akkerman <debian@extern.wiggy.net>:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Wichert Akkerman <debian@extern.wiggy.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: scrolled-off text included in selection
Date: Tue, 10 Jan 2006 16:16:07 +0100
Package: xterm
Severity: normal

This happens with the current unstable version.

When selecting the top visible line in xterm it can include text from
the (scrolled off) line above it. This does not always happen; I think
a critical factor is a missing word boundary between the two lines.

Wichert.


-- System Information:
Debian Release: 3.1
Architecture: i386 (i686)
Kernel: Linux 2.6.11.6.thunder.2
Locale: LANG=C, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)

Versions of packages xterm depends on:
ii  libc6              2.3.2.ds1-22          GNU C Library: Shared libraries an
ii  libfreetype6       2.1.7-2.4             FreeType 2 font engine, shared lib
ii  libncurses5        5.4-4                 Shared libraries for terminal hand
ii  libxaw7            4.3.0.dfsg.1-14sarge1 X Athena widget set library
ii  xlibs              4.3.0.dfsg.1-14sarge1 X Keyboard Extension (XKB) configu



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#347415; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at 347415@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Wichert Akkerman <debian@extern.wiggy.net>, 347415@bugs.debian.org
Subject: Re: Bug#347415: scrolled-off text included in selection
Date: Tue, 10 Jan 2006 13:22:08 -0500
[Message part 1 (text/plain, inline)]
On Tue, Jan 10, 2006 at 04:50:16PM +0100, Wichert Akkerman wrote:
> Package: xterm
> Severity: normal
> 
> This happens with the current unstable version.
> 
> When selecting the top visible line in xterm it can include text from
> the (scrolled off) line above it. This does not always happen; I think
> a critical factor is a missing word boundary between the two lines.

thanks - I'll look in that area (there was a second recent report, but
no hint).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Reply sent to David Nusinow <dnusinow@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Wichert Akkerman <debian@extern.wiggy.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #15 received at 347415-close@bugs.debian.org (full text, mbox):

From: David Nusinow <dnusinow@debian.org>
To: 347415-close@bugs.debian.org
Subject: Bug#347415: fixed in xterm 210-1
Date: Mon, 13 Mar 2006 21:37:47 -0800
Source: xterm
Source-Version: 210-1

We believe that the bug you reported is fixed in the latest version of
xterm, which is due to be installed in the Debian FTP archive:

xterm_210-1.diff.gz
  to pool/main/x/xterm/xterm_210-1.diff.gz
xterm_210-1.dsc
  to pool/main/x/xterm/xterm_210-1.dsc
xterm_210-1_i386.deb
  to pool/main/x/xterm/xterm_210-1_i386.deb
xterm_210.orig.tar.gz
  to pool/main/x/xterm/xterm_210.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 347415@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
David Nusinow <dnusinow@debian.org> (supplier of updated xterm package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 13 Mar 2006 22:12:41 -0500
Source: xterm
Binary: xterm
Architecture: source i386
Version: 210-1
Distribution: unstable
Urgency: low
Maintainer: David Nusinow <dnusinow@debian.org>
Changed-By: David Nusinow <dnusinow@debian.org>
Description: 
 xterm      - X terminal emulator
Closes: 347415 348384 348457 350664 351425
Changes: 
 xterm (210-1) unstable; urgency=low
 .
   * New upstream release (the following are fixes immediately relevant to
     Debian. More are in the upstream changelog)
     + allow cursor to have the same color as foreground (text), since it is
       rendered as reverse (closes: #350664)
     + add TIOCSCTTY ioctl() ifdef'd for __GNU__ to set the controlling
       terminal (closes: #348457)
     + typo in manpage (closes: #351425)
     + revert the XTerm.ad change from patch #208 (closes: #348384)
     + add check to ensure that double-clicking to extend selection will not
       extend it into the scrollback area. This still allows users to scroll
       back and select text (closes: #347415)
    * Remove the 01_stolen_from_HEAD patch, as it is now obsolete
    * Switch build dependency from libxaw8-dev to libxaw7-dev
    * debian/rules clean target now calls make clean instead of distclean
    * Use dh_install's --list-missing option
    * Merge duplicate Provides fields
Files: 
 4288a33ed518cdf13dfad2f635199f88 769 x11 optional xterm_210-1.dsc
 1528b95619b21740c01addd5c9fdb4f0 761944 x11 optional xterm_210.orig.tar.gz
 2e4344fa69b5509a4304047b8e0e7c94 60615 x11 optional xterm_210-1.diff.gz
 d4cbebe84de67b0e00f915726b3718cc 390176 x11 optional xterm_210-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.2.2 (GNU/Linux)

iD8DBQFEFjepyLfpNdY0ad8RAm5DAJ0aQJH4bKExQcrD05yVTCozP7n0+QCdER48
Ft6vFa0Thg3Q9Iv190jYwGE=
=n1eR
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#347415; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 347415@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.org>
To: Thomas Dickey <dickey@radix.net>
Cc: Wichert Akkerman <debian@extern.wiggy.net>, 347415@bugs.debian.org
Subject: Re: Bug#347415: scrolled-off text included in selection
Date: Tue, 21 Mar 2006 00:49:44 +0100
On 2006-01-10 13:22:08 -0500, Thomas Dickey wrote:
> On Tue, Jan 10, 2006 at 04:50:16PM +0100, Wichert Akkerman wrote:
> > This happens with the current unstable version.
> > 
> > When selecting the top visible line in xterm it can include text from
> > the (scrolled off) line above it. This does not always happen; I think
> > a critical factor is a missing word boundary between the two lines.
> 
> thanks - I'll look in that area (there was a second recent report, but
> no hint).

FYI, I reported this bug on 2002-03-08, with a testcase and full
explanations. I'm glad that it is now fixed. Thanks.

-- 
Vincent Lefèvre <vincent@vinc17.org> - Web: <http://www.vinc17.org/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.org/blog/>
Work: CR INRIA - computer arithmetic / SPACES project at LORIA



Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#347415; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@radix.net>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 347415@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@radix.net>
To: Vincent Lefevre <vincent@vinc17.org>
Cc: 347415@bugs.debian.org
Subject: Re: Bug#347415: scrolled-off text included in selection
Date: Mon, 20 Mar 2006 20:35:25 -0500
[Message part 1 (text/plain, inline)]
On Tue, Mar 21, 2006 at 12:49:44AM +0100, Vincent Lefevre wrote:
> FYI, I reported this bug on 2002-03-08, with a testcase and full
> explanations. I'm glad that it is now fixed. Thanks.

yes, I see (consulting email).  I overlook things occasionally (had about
a thousand xterm emails in 2002...).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net
[Message part 2 (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 16:57:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:24:55 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.